using ColaFlow.Domain.Common;

namespace ColaFlow.Domain.ValueObjects;

/// <summary>
/// TaskPriority Enumeration
/// </summary>
public sealed class TaskPriority : Enumeration
{
    public static readonly TaskPriority Low = new(1, "Low");
    public static readonly TaskPriority Medium = new(2, "Medium");
    public static readonly TaskPriority High = new(3, "High");
    public static readonly TaskPriority Urgent = new(4, "Urgent");

    private TaskPriority(int id, string name) : base(id, name)
    {
    }
}
